> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Create One Access Grant POST https://api.contentful.com/organizations/{organization_id}/app_definitions/{app_definition_id}/access_grants Content-Type: application/vnd.contentful.management.v1+json Reference: https://contentful.com/developers/docs/references/content-management-api/app-access-grants/create-one-access-grant ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `organization_id` (string, required) — organization_id identifier - `app_definition_id` (string, required) — app_definition_id identifier ### Body (application/vnd.contentful.management.v1+json) This endpoint expects a map from string to any. - `map from string to any` ## Response ### 201 Created - Resource created successfully - `map from string to any` ## Examples **Request** ```json { "granteeId": "all", "granteeType": "all" } ``` **Response** ```json { "granteeId": "all", "granteeType": "all", "sys": { "appDefinition": { "sys": { "id": "", "linkType": "AppDefinition", "type": "Link" } }, "createdAt": "2025-09-17T01:56:40.000Z", "createdBy": { "sys": { "id": "7BslKh9TdKGOK41VmLDjFZ", "linkType": "User", "type": "Link" } }, "id": "fpFtDCM7r0I-PyIGITGO...", "organization": { "sys": { "id": "0D9ZC8rLWiw6x5qizZGiRs", "linkType": "Organization", "type": "Link" } }, "type": "AppAccessGrant", "updatedAt": "2025-09-17T01:56:40.000Z", "updatedBy": { "sys": { "id": "7BslKh9TdKGOK41VmLDjFZ", "linkType": "User", "type": "Link" } } } } ``` **SDK Code** ```android Android No snippet for this SDK. ``` ```java Java No snippet for this SDK. ``` ```kotlin Kotlin No snippet for this SDK. ``` ```swift Swift No snippet for this SDK. ``` ```js-legacy JavaScript (legacy) No snippet for this SDK. ``` ```javascript JavaScript No snippet for this SDK. ``` ```php PHP No snippet for this SDK. ``` ```ruby Ruby No snippet for this SDK. ``` ```python Python No snippet for this SDK. ``` ```.net .NET No snippet for this SDK. ```